###
# app configuration
# This is quite a copy of production but the mail config since email would require auth (server are granted) 
# https://docs.pylonsproject.org/projects/pyramid/en/latest/narr/environment.html
###

[app:main]
use = egg:jmdc_app

pyramid.reload_templates = true
pyramid.debug_authorization = false
pyramid.debug_notfound = false
pyramid.debug_routematch = false
pyramid.default_locale_name = en
pyramid.includes = pyramid_debugtoolbar

sqlalchemy.url = postgresql://jmdc:jmdc@db:5432/jmdc

retry.attempts = 3

# do we do asynchronous data ingest
data_ingest.async = True

# By default, the toolbar only appears for clients from IP addresses
# '127.0.0.1' and '::1'.
# debugtoolbar.hosts = 127.0.0.1 ::1

# secret for the session manager
session.secret = uwlv4WMLuHdneZDzeUK6rmznMugQNgrW4AmyaXr5ctsVmmo0fEJGuxsPjEvV66dk

#jinja2.newline_sequence = "\r\n"

[pshell]
setup = jmdc_app.pshell.setup

###
# wsgi server configuration
###

[alembic]
# path to migration scripts
script_location = jmdc_app/alembic
file_template = %%(year)d%%(month).2d%%(day).2d_%%(rev)s
# file_template = %%(rev)s_%%(slug)s

[server:main]
use = egg:waitress#main
listen = *:6543

###
# logging configuration
# https://docs.pylonsproject.org/projects/pyramid/en/latest/narr/logging.html
###

[loggers]
keys = root, jmdc_app, sqlalchemy

[handlers]
keys = console

[formatters]
keys = generic

[logger_root]
level = INFO
handlers = console

[logger_jmdc_app]
level = DEBUG
handlers =
qualname = jmdc_app

[logger_sqlalchemy]
level = WARN
handlers =
qualname = sqlalchemy.engine
# "level = INFO" logs SQL queries.
# "level = DEBUG" logs SQL queries and results.
# "level = WARN" logs neither.  (Recommended for production systems.)

[handler_console]
class = StreamHandler
args = (sys.stderr,)
level = NOTSET
formatter = generic

[formatter_generic]
format = %(asctime)s %(levelname)-5.5s [%(name)s:%(lineno)s][%(threadName)s] %(message)s
